Kybv1K Y B Flow
Submit answer
Submit an answer for a KYB flow question
POST
/v1/kyb/submit-answerAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/kyb/submit-answer" \ -H "Content-Type: application/json" \ -d '{ "actor_id": "04f37679-bfbf-4906-b749-01756515cecf", "flow_name": "string", "question_name": "string", "answer": {} }'{
"flow": {
"actor_id": "04f37679-bfbf-4906-b749-01756515cecf",
"flow_name": "string",
"current_step": "string",
"previous_step": "string",
"back": true,
"status": "NOT_STARTED",
"sections": [
{
"name": "string",
"title": "string",
"icon": "string",
"status": "NOT_STARTED",
"show": true
}
]
},
"question": {
"name": "string",
"section": {
"name": "string",
"title": "string",
"icon": "string",
"status": "NOT_STARTED",
"show": true
},
"q": "string",
"description": "string",
"message": {
"text": "string",
"severity": "info"
},
"options": {
"back": true,
"saveFormData": true,
"show_in_progress_rail": true,
"presentation": "signatories_wizard",
"wizard_step": "invite"
},
"schema": {},
"uiSchema": {},
"formData": {}
}
}